## mgt 2.31

=== debian/changelog ===
mgt (2.31-8) unstable; urgency=medium

  * Rewrite rules using debhelper.

 -- Steve M. Robbins <smr@debian.org>  Sat, 23 Oct 2021 23:14:37 -0500

mgt (2.31-7) unstable; urgency=medium

  * [ef0250f] Set debhelper compat to 9. Closes: #829221
  * [579a8e3] Avoid removing wrapmgt and debian/compat in clean rule.
  * [8e7f488] Build-depend on debhelper >=9.
  * control: Update standards version. Add ${misc:Depends}. Remove leading article from description.
  * Add README.source.

 -- Steve M. Robbins <smr@debian.org>  Sun, 10 Jul 2016 01:32:16 -0500

mgt (2.31-6) unstable; urgency=low

  * debian/rules: include patchsys-quilt.mk.
  * debian/control: build-depend on quilt.

  * debian/patches/cdbs-prep.patch: New.  Move the 2007-08-18 changes from
    the diff.gz to here.
  
  * debian/patches/modernize-code.patch: New.  Move the remaining debian
    diff changes here.

  * debian/patches/manpages.patch: New. Fix bugs in mgt.6 and mailgo.6.

  * debian/patches/secure-tmpfile-creation.patch: New.  Use "mktemp" to
    securely create a temp file.  Thanks to Thijs Kinkhorst for the patch.
    Closes: #496434.

  * debian/control: Set Standards-Version to 3.8.0.0; no changes.

 -- Steve M. Robbins <smr@debian.org>  Mon, 25 Aug 2008 21:06:47 -0500

mgt (2.31-5) unstable; urgency=low

  * Makefile: Move $(DEFS) out of CFLAGS definition into rule .c.o.  This
    is needed because cdbs sets CFLAGS on the make invocation.

  * debian/rules: Rewrite using cdbs.  Now honours nostrip option.
    Closes: #437562.

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 Aug 2007 01:26:03 -0500

mgt (2.31-4) unstable; urgency=low

  * Remove postinst and prerm scripts that set up obsolete /usr/doc/mgt 
  symlink.  See: #322762.

 -- Steve M. Robbins <smr@debian.org>  Sat, 13 Aug 2005 14:05:43 -0400

mgt (2.31-3) unstable; urgency=low

  * Do not define true and false, include stdbool.h instead.  
    Closes: #133705,133754.
    Thanks to Junichi Uekawa.  One bug report is sufficient!

 -- Steve M. Robbins <smr@debian.org>  Wed, 13 Feb 2002 09:21:33 -0500

mgt (2.31-2) unstable; urgency=low

  * New maintainer (closes: #89959).

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Jul 2001 10:37:46 -0400

mgt (2.31-1.3) unstable; urgency=low

  * Non-Maintainer Upload, during Bug Squashing Party.
  * debian/copyright: add download URL and author name.
  * Built against libncurses5 (closes: #52336). Die, ncurses3.4, die!
  * debian/control:
    + added Build-Depends
    + updated Standards-Version to 3.5.2.0.
    + Maintainer: Debian QA Group <debian-qa@lists.debian.org>. One unique
      upload in four years just sucks
  * debian/README.Debian: removed, it was obsolete and redundant.
  * debian/rules:
    + FHS transition: install manpages and docs in /usr/share.
    + call dpkg-gencontrol with "-isp".
    + install Spec.io with the other docs.
    + install debian/changelog as changelog.Debian
    + removed .note and .comment sections from binaries.
  * debian/{postinst,prerm}: add usr/doc -> usr/share/doc links.

 -- Jordi Mallach <jordi@debian.org>  Fri, 16 Mar 2001 22:24:12 +0100

mgt (2.31-1.2) unstable; urgency=low

  * Non-maintainer release with source after waiting 8 months for the
    maintainer to do something; fixes: #22886
  * sprinkled a couple of stdlib.h includes for malloc prototypes
  * ditto string.h includes for strcpy/strlen prototypes
  * remove debian/files and debian/substvars in clean target

 -- Paul Slootman <paul@debian.org>  Tue, 15 Dec 1998 13:24:28 +0100

mgt (2.31-1.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.
  * Updated from pre 2.0.0.0 package format.

 -- Martin Mitchell <martin@debian.org>  Wed, 12 Nov 1997 20:04:48 +1100

mgt (2.31-1); priority=LOW

  * Initial release

 -- Brian Sulcer <bsulcer@pobox.com>   Tue, 30 Jul 1996 17:52:59 
