=== debian/control ===
Source: mgt
Section: games
Priority: optional
Maintainer: Steve M. Robbins <smr@debian.org>
Build-Depends: libncurses5-dev, debhelper-compat (= 13), quilt
Standards-Version: 3.9.8

Package: mgt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: game record display/editor for the oriental game of go
 Mgt allows the user to examine Go game tree files in the SmartGo format.
 Mgt also has basic Go game tree editing capabilities and may be used
 to create or edit game tree files.
 .
 Mailgo is a utility which manages E-mail Go games using mgt as the Go
 board editor.  It is included in the mgt package.
