=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install mailgo mgt mgt2short wrapmgt usr/games
	dh_install Rules Sample.01 Sample.02 usr/lib/games/mgt
	dh_installman *.6
	dh_installdocs Prop.lst README Smart-Go.def Spec.io
